Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.multimedia
Enum MonitorSpecifierEnum

    java.lang.Object
      java.lang.Enum<MonitorSpecifierEnum>
          org.pdfclown.documents.multimedia.MonitorSpecifierEnum

All Implemented Interfaces:
  Serializable, Comparable<MonitorSpecifierEnum>

    @PDF(value=PDF15)
    public enum MonitorSpecifierEnum

extends Enum<MonitorSpecifierEnum>

Monitor specifier [PDF:1.7:9.1.6].

Since:
  0.1.2
Version:
  0.1.2, 09/24/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Enum Constant Summary
`GreatestArea` The monitor with the greatest area (in pixels squared).
`GreatestColorDepth` The monitor with the greatest color depth (in bits).
`GreatestHeight` The monitor with the greatest height (in pixels).
`GreatestWidth` The monitor with the greatest width (in pixels).
`LargestDocumentWindowSection` The monitor containing the largest section of the document window.
`Primary` Primary monitor, otherwise the monitor containing the largest section of the document window.
`SmallestDocumentWindowSection` The monitor containing the smallest section of the document window.

Method Summary
`PdfInteger` | `getCode()`
`static MonitorSpecifierEnum` | `valueOf(PdfInteger code)`
`static MonitorSpecifierEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MonitorSpecifierEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LargestDocumentWindowSection

    public static final MonitorSpecifierEnum LargestDocumentWindowSection

  The monitor containing the largest section of the document window.

### SmallestDocumentWindowSection

    public static final MonitorSpecifierEnum SmallestDocumentWindowSection

  The monitor containing the smallest section of the document window.

### Primary

    public static final MonitorSpecifierEnum Primary

  Primary monitor, otherwise the monitor containing the largest section of the document window.

### GreatestColorDepth

    public static final MonitorSpecifierEnum GreatestColorDepth

  The monitor with the greatest color depth (in bits).

### GreatestArea

    public static final MonitorSpecifierEnum GreatestArea

  The monitor with the greatest area (in pixels squared).

### GreatestHeight

    public static final MonitorSpecifierEnum GreatestHeight

  The monitor with the greatest height (in pixels).

### GreatestWidth

    public static final MonitorSpecifierEnum GreatestWidth

  The monitor with the greatest width (in pixels).

Method Detail

### values

    public static MonitorSpecifierEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MonitorSpecifierEnum c : MonitorSpecifierEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MonitorSpecifierEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static MonitorSpecifierEnum valueOf(PdfInteger code)

### getCode

    public PdfInteger getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.